JtdsObjectFactoryTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbcx

## Class JtdsObjectFactoryTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.UnitTestBase
        - - net.sourceforge.jtds.jdbcx.JtdsObjectFactoryTest

-     public class JtdsObjectFactoryTest
      extends UnitTestBase

  Unit tests for the `JtdsObjectFactory` class.
  Author:
    Alin Sinpalean, David D. Kilzer, Holger Rehn

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JtdsObjectFactoryTest(java.lang.String name)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkDefaults(JtdsDataSource ds)`
    `static Test` | `suite()`
    `void` | `testGetterSetter()`
    `void` | `testNoProperties()` Tests that the factory can correctly rebuild a DataSource with no properties set (i.e. all values should be null and no NPE should be thrown).

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.UnitTestBase

      `assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JtdsObjectFactoryTest

          public JtdsObjectFactoryTest(java.lang.String name)

      Constructor.
      Parameters:
        `name` - The name of the test.

  - ### Method Detail

    - #### suite

          public static Test suite()

      Returns:
        The test suite to run.

    - #### testNoProperties

          public void testNoProperties()
                                throws java.lang.Exception

      Tests that the factory can correctly rebuild a DataSource with no properties set (i.e. all values should be null and no NPE should be thrown).
      Throws:
        `java.lang.Exception`

    - #### testGetterSetter

          public void testGetterSetter()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkDefaults

          private void checkDefaults(JtdsDataSource ds)

Generated on June 8 2013